<?php

namespace Comitium5\DesignerBundle\Model\Interfaces\Pagination;

/**
 * Interface PaginationInterface
 *
 * @author Carles Gómez <carles@bab-soft.com>
 * @package Comitium5\DesignerBundle\Model\Interfaces\Pagination
 */
interface PaginationInterface
{
    /**
     * @return mixed
     */
    public function getPagination();

    /**
     * @param array $items
     *
     * @return mixed
     */
    public function setItems(array $items);

    /**
     * @return mixed
     */
    public function getItems();

    /**
     * @param int $total
     *
     * @return mixed
     */
    public function setTotalItemCount(int $total);
}
